Subject: bug#10600: 24.0.92; `describe-char': text properties and [Show]

From: martin rudalics <[email-masked]>
Date: Thu, 02 Feb 2012 12:08:59 +0100

> Would it be feasible to create a temporary *Help* buffer/window/frame
 > with no text at all, which is "displayed" by Emacs but not rendered to
 > the user (i.e. not mapped by the terminal / window system), for the
 > purpose of querying its width and using that value when filling the real
 > *Help* buffer text?

There are many ways to handle the problems cited (and also that of
formatting man buffers).  Basically, we should either know the size of
the window before rendering the buffer or know the rendering of the
buffer before creating the window.  I'm afraid though that any of these
approaches will require rewriting lots of `with-output-to-temp-buffer'
and similar functions.

martin